﻿using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using System.Collections;

public class GGJFadeOut : MonoBehaviour
{
	Image thisImage;

	void Start()
	{
		thisImage = GetComponent<Image>();
		StartCoroutine(FadeOutImage());
	}

	IEnumerator FadeOutImage()
	{
		Color startColor = thisImage.color;
		Color endColor = new Color(1, 1, 1, 0);

		Color placeholderColor = thisImage.color;

		float lerpValue = 0;

		yield return new WaitForSeconds(1);

		while(lerpValue < 1)
		{
			placeholderColor = Color.Lerp(startColor, endColor, lerpValue);

			thisImage.color = placeholderColor;

			lerpValue += Time.deltaTime*0.75f;

			yield return null;
		}

		SceneManager.LoadScene("Start Scene");
	}
}
