﻿using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using System.Collections;
using UnityStandardAssets.ImageEffects;

public class UIManager : MonoBehaviour
{
	GameObject scenarioUI, scoreUI, startUI, startButton;
	GameObject audioManager;

	Text scoreText;

	void Start()
	{
		// Get references to the different UIs.
		scoreUI = transform.FindChild("Score UI").gameObject;
		scenarioUI = transform.FindChild("Scenario UI").gameObject;
		startUI = transform.FindChild("Start UI").gameObject;
		startButton = startUI.transform.FindChild("Button").gameObject;

		scoreText = scoreUI.transform.FindChild("Score").GetComponent<Text>();

		audioManager = GameObject.Find("Audio Manager");
	}

	public void ShowScore(short totalScore)
	{
		scoreText.text = totalScore.ToString();
	}

	public void ChangeUI(string uiState)
	{
		switch(uiState)
		{
			case "Scenario":
				StartCoroutine(SetScenarioUI());
				break;

			case "Score":
				scenarioUI.SetActive(false);
				scoreUI.SetActive(true);
				startUI.SetActive(false);

				Camera.main.GetComponent<VignetteAndChromaticAberration>().blur = 1;
				break;

			case "Start":
				SceneManager.LoadScene("Game Scene");
				break;

			default:
				break;
		}
	}

	IEnumerator SetScenarioUI()
	{
		startButton.SetActive(false);

		audioManager.GetComponent<AudioSource>().PlayDelayed(0);
		yield return new WaitForSeconds(audioManager.GetComponent<AudioSource>().clip.length);

		startButton.SetActive(true);
		scenarioUI.SetActive(true);
		scoreUI.SetActive(false);
		startUI.SetActive(false);

		CongregationManager.gameStarted = true;

		audioManager.GetComponents<AudioSource>()[4].PlayDelayed(0);

		Camera.main.GetComponent<VignetteAndChromaticAberration>().blur = 0;
	}
}
